Bug 35057 - kernel 2.4.3 compile error
kernel 2.4.3 compile error
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-06 14:52 EDT by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-11 00:44:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-04-06 14:52:28 EDT
glib 1.2.8

when doing make bzImage:

gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -O2
-fomit-frame-pointer -fno-strict-aliasing -pipe
-mpreferred-stack-boundary=2 -march=i686    -c -o ide-proc.o ide-proc.c
ide-proc.c: In function `proc_ide_read_identify':
ide-proc.c:472: Internal error: Illegal instruction.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [ide-proc.o] Error 2
make[3]: Leaving directory `/usr/src/linux/drivers/ide'
make[2]: *** [first_rule] Error 2
make[2]: Leaving directory `/usr/src/linux/drivers/ide'
make[1]: *** [_subdir_ide] Error 2
make[1]: Leaving directory `/usr/src/linux/drivers'
make: *** [_dir_drivers] Error 2
Comment 1 Jakub Jelinek 2001-04-06 16:09:37 EDT
Please provide preprocessed source (rerun
gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strict-aliasing -save-temps -v -mpreferred-stack-boundary=2 -march=i686    -c -o ide-proc.o ide-proc.c
and attach here ide-proc.i).
Also please mention which exact gcc rpm you're using.
Comment 2 Need Real Name 2001-04-11 00:42:46 EDT
note: doing make bzImage again worked for some reason... anyway, here it is.
using rpm gcc-2.96-69.
ide-proc.i:
# 1 "ide-proc.c"
# 60 "ide-proc.c"
# 5 "/usr/src/linux/include/linux/config.h" 1
# 1 "/usr/src/linux/include/linux/autoconf.h" 1
# 5 "/usr/src/linux/include/linux/config.h" 2
# 60 "ide-proc.c" 2

# 9 "/usr/src/linux/include/asm/uaccess.h" 1
# 5 "/usr/src/linux/include/linux/sched.h" 1
# 1 "/usr/src/linux/include/asm/param.h" 1
# 5 "/usr/src/linux/include/linux/sched.h" 2

extern unsigned long event;



# 5 "/usr/src/linux/include/linux/binfmts.h" 1
# 25 "/usr/src/linux/include/linux/ptrace.h" 1
# 26 "/usr/src/linux/include/asm/ptrace.h" 1
struct pt_regs {
        long ebx;
        long ecx;
        long edx;
        long esi;
        long edi;
        long ebp;
        long eax;
        int xds;
        int xes;
        long orig_eax;
        long eip;
        int xcs;
        long eflags;
        long esp;
        int xss;
};


# 60 "/usr/src/linux/include/asm/ptrace.h"
extern void show_regs(struct pt_regs *);
# 25 "/usr/src/linux/include/linux/ptrace.h" 2
# 5 "/usr/src/linux/include/linux/binfmts.h" 2

# 17 "/usr/src/linux/include/linux/capability.h" 1
# 9 "/usr/src/linux/include/linux/types.h" 1
# 5 "/usr/src/linux/include/linux/posix_types.h" 1
# 1 "/usr/src/linux/include/linux/stddef.h" 1
# 5 "/usr/src/linux/include/linux/posix_types.h" 2
# 36 "/usr/src/linux/include/linux/posix_types.h"
typedef struct {
        unsigned long fds_bits [(1024/(8 * sizeof(unsigned long)))];
} __kernel_fd_set;


typedef void (*__kernel_sighandler_t)(int);


typedef int __kernel_key_t;


# 10 "/usr/src/linux/include/asm/posix_types.h" 1
typedef unsigned short __kernel_dev_t;
typedef unsigned long __kernel_ino_t;
typedef unsigned short __kernel_mode_t;
typedef unsigned short __kernel_nlink_t;
typedef long __kernel_off_t;
typedef int __kernel_pid_t;
typedef unsigned short __kernel_ipc_pid_t;
typedef unsigned short __kernel_uid_t;
typedef unsigned short __kernel_gid_t;
typedef unsigned int __kernel_size_t;
typedef int __kernel_ssize_t;
typedef int __kernel_ptrdiff_t;
typedef long __kernel_time_t;
typedef long __kernel_suseconds_t;
typedef long __kernel_clock_t;
typedef int __kernel_daddr_t;
typedef char * __kernel_caddr_t;
typedef unsigned short __kernel_uid16_t;
typedef unsigned short __kernel_gid16_t;
typedef unsigned int __kernel_uid32_t;
typedef unsigned int __kernel_gid32_t;

typedef unsigned short __kernel_old_uid_t;
typedef unsigned short __kernel_old_gid_t;


typedef long long __kernel_loff_t;


typedef struct {

        int val[2];



} __kernel_fsid_t;

# 47 "/usr/src/linux/include/linux/posix_types.h" 2
# 9 "/usr/src/linux/include/linux/types.h" 2

# 4 "/usr/src/linux/include/asm/types.h" 1
typedef unsigned short umode_t;






typedef __signed__ char __s8;
typedef unsigned char __u8;

typedef __signed__ short __s16;
typedef unsigned short __u16;

typedef __signed__ int __s32;
typedef unsigned int __u32;


typedef __signed__ long long __s64;
typedef unsigned long long __u64;







typedef signed char s8;
typedef unsigned char u8;

typedef signed short s16;
typedef unsigned short u16;

typedef signed int s32;
typedef unsigned int u32;

typedef signed long long s64;
typedef unsigned long long u64;





typedef u32 dma_addr_t;

# 10 "/usr/src/linux/include/linux/types.h" 2



typedef __kernel_fd_set fd_set;
typedef __kernel_dev_t dev_t;
typedef __kernel_ino_t ino_t;
typedef __kernel_mode_t mode_t;
typedef __kernel_nlink_t nlink_t;
typedef __kernel_off_t off_t;
typedef __kernel_pid_t pid_t;
typedef __kernel_daddr_t daddr_t;
typedef __kernel_key_t key_t;
typedef __kernel_suseconds_t suseconds_t;


typedef __kernel_uid32_t uid_t;
typedef __kernel_gid32_t gid_t;
typedef __kernel_uid16_t uid16_t;
typedef __kernel_gid16_t gid16_t;



typedef __kernel_old_uid_t old_uid_t;
typedef __kernel_old_gid_t old_gid_t;
# 45 "/usr/src/linux/include/linux/types.h"
typedef __kernel_loff_t loff_t;
# 54 "/usr/src/linux/include/linux/types.h"
typedef __kernel_size_t size_t;




typedef __kernel_ssize_t ssize_t;




typedef __kernel_ptrdiff_t ptrdiff_t;




ty
Comment 3 Need Real Name 2001-04-11 00:44:49 EDT
sorry about that. that's not the whole ide-proc.i
i'll respond to the email. (i've never done this before, sorry again!)
Comment 4 Jakub Jelinek 2001-04-11 12:08:47 EDT
I cannot reproduce it either, so the suspect thing is your hardware
(gcc by itself shouldn't die on Illegal Instruction even for internal errors,
which show up as abort()s or segfaults (and gcc then prints ICE message)).

Note You need to log in before you can comment on or make changes to this bug.